Package com.google.android.exoplayer2.testutil

## Class DumpableFormat

- java.lang.Object
- - com.google.android.exoplayer2.testutil.DumpableFormat

- All Implemented Interfaces:
    `Dumper.Dumpable`

      public final class DumpableFormat
      extends Object
      implements Dumper.Dumpable

  Wraps a `Format` to allow dumping it.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `index` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DumpableFormat​(Format format, int index)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump​(Dumper dumper)` | Dumps the fields of the object using the `dumper`.
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### index

          public final int index

  - ### Constructor Detail

    - #### DumpableFormat

          public DumpableFormat​(Format format,
                                int index)

  - ### Method Detail

    - #### dump

          public void dump​(Dumper dumper)

      Description copied from interface: `Dumper.Dumpable`
      Dumps the fields of the object using the `dumper`.
      Specified by:
        `dump` in interface `Dumper.Dumpable`
      Parameters:
        `dumper` - The `Dumper` to be used to dump fields.

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`